# generate-id

generate-id() → xs:string

Returns a generated unique ASCII identifier for the context node

There are no arguments
Result | xs:string

generate-id($arg as node()?) → xs:string

Returns a generated unique ASCII identifier for the specified node

Arguments
| $arg | node()? | The node for which a generated identifier is required
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

Iin Saxon 9.3 this becomes available for use in XPath and XQuery as well as XSLT, provided that XPath 3.0 to be enabled.

Next